=== requirements.txt ===
PyYAML==3.10
oauthlib==0.6.1
requests==2.2.1
requests-oauthlib==0.4.0
ws4py==0.3.2
passlib
mock
setuptools
urwid
nose
nose-cov
readthedocs-sphinx-ext
nilsimsa==0.2.0
pyflakes>=0.8.1
pep8>=1.5.6
sphinx_rtd_theme
macumba==0.6
maasclient
jinja2
netaddr
tox
coveralls
bson
tornado
