=== debian/changelog ===
openstack (0.99.23) wily; urgency=medium

  * Support nclxd
  * Improve threading support in macumba
  * New dialogs
  * Fix breakage with lxc 1.1+
  * Support OpenStack charm from upstream
  * UI: Handle subordinate charms
  * Additional proxy support for Multi install
  * Refactor how services were monitored and acted upon
  * Additional unittests

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 25 Jun 2015 10:25:15 -0400
