## openstack 1.0.6

=== debian/changelog ===
openstack (1.0.6) xenial-proposed; urgency=medium

  * Fix openstack-lxd bundle to support nova-lxd's block-device
  * Add 'turnkey' script for importing glance images, setting ssh
    keypairs, and defining a default neutron network

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 20 Apr 2016 11:39:15 -0400

openstack (1.0.5) xenial-proposed; urgency=medium

  * Update dependency for conjure-up
  * Add entry for OpenStack with Nova LXD on Mitaka

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 14 Apr 2016 16:04:25 -0400

openstack (1.0.4) xenial-proposed; urgency=medium

  * Add bootstrap series support to Autopilot
  * Update OpenStack processing hooks to preconfigure some security
    exceptions to allow ssh.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Tue, 12 Apr 2016 09:17:14 -0400

openstack (1.0.3) xenial-proposed; urgency=medium

  * Add processing hooks for Autopilot
  * Add processing hooks for OpenStack

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 12:29:22 -0400

openstack (1.0.2) xenial; urgency=medium

   * Add LXD profile shim
   * debian/
     - Add rsyslog support
     - Fix upstream copyright

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 27 Mar 2016 11:38:02 -0400

openstack (1.0.1) xenial; urgency=medium

  * d/control: add conjure, help2man to build-dep

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 24 Mar 2016 10:48:35 -0400

openstack (1.0.0) xenial; urgency=medium

  * New upstream release
  * Utilizes https://github.com/Ubuntu-Solutions-Engineering/conjure for
    a more streamlined deployment approach utilizing Juju bundles.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 24 Mar 2016 00:04:31 -0400

openstack (0.99.27) xenial; urgency=medium

  * Support LXD as a toplevel container
  * Mitaka Support

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 17 Feb 2016 11:33:47 -0500
