=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/tmp

%:
	dh $@
