=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: conjure-up, debhelper (>= 9)
+Build-Depends: conjure-up, debhelper (>= 9), dh-systemd
 Standards-Version: 3.9.7
 Homepage: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb
 Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb
