## openstack 1.0.7.16.10.1

=== debian/changelog ===
openstack (1.0.7.16.10.1) yakkety; urgency=medium

  * Fixes post processing neutron fails to configure network (LP: #1575800)
  * Fixes post processing fails to add ssh keypair (LP: #1575906)
  * Fixes package does not use released charms (LP: #1576412)

 -- Michael McCracken <mike.mccracken@canonical.com>  Fri, 22 Apr 2016 14:50:00 -0700
