## openstack cli-0.0.2

=== requirements.txt ===
click==7.1.2
tabulate==0.9.0
colorama==0.4.6
log-symbols==0.0.14
spinners==0.0.24 
termcolor==2.1.1
halo==0.0.31
inquirer==3.1.2
requests==2.28.1
blessed==1.19.1
