## openstack cli-0.0.7

=== requirements.txt ===
setuptools==45.2.0
click==7.1.2
tabulate==0.9.0
spinners==0.0.24 
termcolor==2.1.1
halo==0.0.31
inquirer==3.1.2
requests==2.28.1
blessed==1.19.1
