## openstack config-1.0.1.dev3

=== requirements.txt ===
pbr>=2.0.0
osc-lib>=3.1.0
platformdirs>=4.3.6
ruamel.yaml>=0.18.6
glom>=23.5.0
python-openstackclient>=7.1.3
requests>=2.32.3
