## openstack debugger-1.0.1

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
tox>=3.18.0,<5.0.0

oslo.config>=6.8.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
debugpy>=1.8.2
