## openstack governance-0.19.0

=== requirements.txt ===
# NOTE(harlowja): For graph generation tool.
#
# Not currently needed for anything else.
pydot
PyYAML>=3.1.0
yamlordereddictloader
mwclient==0.8.1
ruamel.yaml
jsonschema>=3.2.0
