=== doc/requirements.txt ===
sphinxcontrib.datatemplates
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
Pillow>=2.4.0 # PIL License
