## openstack venus-6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.11,!=2.1.0 # Apache-2.0
pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
WSME>=0.10.1 # MIT
eventlet>=0.26.0 # MIT
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=4.2.1;python_version=='3.6'
oslo.log>=4.2.1;python_version=='3.7'
oslo.log>=5.0.0;python_version=='3.8'
oslo.context>=2.9.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.service>=1.0.0,!=1.28.1 # Apache-2.0
oslo.db>=10.0.0 # Apache-2.0
os-resource-classes>=0.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=3.4.0
SQLAlchemy>=1.4.0 # MIT
alembic>=0.8.10 # MIT
stevedore>=1.5.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
jsonpatch>=1.16,!=1.20 # BSD
psutil>=3.2.2 # BSD
python-glanceclient>=2.3.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
microversion_parse>=0.2.1 # Apache-2.0
openstacksdk>=0.46.0 # Apache-2.0
elasticsearch>=2.0.0,<3.0.0  # Apache-2.0
apscheduler>=3.6.0 # MIT License
retrying>=1.3.3
lxml>=4.6.2
PyMySQL>=0.7.11
